<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__profile__ctr__ctl__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_profile_ctr_ctl_t</compoundname>
    <includes local="no">cy_profile.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__profile__ctr__ctl__t_1a49f7fec82dcebf27fba433b087d4d8b7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__profile__enums_1ga82efb19440328ed10ceb3ae66ac4e6f3">cy_en_profile_duration_t</ref></type>
        <definition>cy_en_profile_duration_t cy_stc_profile_ctr_ctl_t::cntDuration</definition>
        <argsstring />
        <name>cntDuration</name>
        <briefdescription>
<para>0 = event; 1 = duration </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="333" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="333" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__ctl__t_1a4219423010ca1bbf66f5dc9e302d69d6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__profile__enums_1gaf4167388440a79a2671d7c1bea86785c">cy_en_profile_ref_clk_t</ref></type>
        <definition>cy_en_profile_ref_clk_t cy_stc_profile_ctr_ctl_t::refClkSel</definition>
        <argsstring />
        <name>refClkSel</name>
        <briefdescription>
<para>The reference clock used by the counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="334" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="334" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__ctl__t_1ab2e892d5dc8e895d586f7a59bad05125" kind="variable" mutable="no" prot="public" static="no">
        <type>en_ep_mon_sel_t</type>
        <definition>en_ep_mon_sel_t cy_stc_profile_ctr_ctl_t::monSel</definition>
        <argsstring />
        <name>monSel</name>
        <briefdescription>
<para>The monitor signal to be observed by the counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="335" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Profile counter control register structure. </para>    </briefdescription>
    <detaileddescription>
<para>For each counter, holds the CTL register fields. </para>    </detaileddescription>
    <location bodyend="336" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="331" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="332" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__profile__ctr__ctl__t_1a49f7fec82dcebf27fba433b087d4d8b7" virt="non-virtual"><scope>cy_stc_profile_ctr_ctl_t</scope><name>cntDuration</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__ctl__t_1ab2e892d5dc8e895d586f7a59bad05125" virt="non-virtual"><scope>cy_stc_profile_ctr_ctl_t</scope><name>monSel</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__ctl__t_1a4219423010ca1bbf66f5dc9e302d69d6" virt="non-virtual"><scope>cy_stc_profile_ctr_ctl_t</scope><name>refClkSel</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>